Create new Content from URL

Returns album_photo_id. Generally, most image types, gifs, as well as mp4s are allowed in the photo_uri. If the same image is created multiple times, the image properties will not change, but if additional products or categories are included they will be tagged.

Authentication details: About the Content API.

Related: Create new content from file, Get content information.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
{
  // [Required]
  "album_id": 9996319,
  // [Required] A caption for the photo.
  "title": "something something danger zone",
  // [Required] Necessary if connected_user_id is omitted.
  "email": "[email protected]",
  // The username for the person who is posting this photo.
  "username": "Dennis",
  // [Required]
  "photo_uri": "https://example.com/picture.jpg",
  // [Optional] Optional content type parameter you may use if the photo_uri doesn't have an extension.
  // Allowed values are: "image/gif", "image/jpeg", "image/jpg", "image/png", "image/webp",
  // "video/mp4", "video/quicktime", "video/x-msvideo", "video/x-ms-wmv", "video/x-flv", "video/3gpp".
  "content_type": "image/jpg",
  // [Optional]
  "avatar_url": "https://example.com/user-avatar.jpg",
  // [Required]
  "approved": true,
  // [Optional] Not used if email is included.
  "connected_user_id": 123456789,
  // [Optional] Associates this photo with an ID you own. Usually a user ID.
  "vendor_id": "your_own_identifier",
  // [Optional] For adding product tags.
  "product_skus": ["productA", "productB"],
  // [Optional] Used to copy the content to category albums (case-sensitive).
  "category_names": ["Clothing", "Shoes"],
  // [Optional] For storing additional misc info.
  "connected_user": { "shirt_size": "M" }
}
Body Params

Create content from a remote URL. Either connected_user_id or email must be provided. When both are present, connected_user_id is used.

int64
required

Target album id.

string
required

Content title or caption.

uri
required

Public URL of the image, GIF, or MP4 to import.

string

Submitter email. Required when connected_user_id is omitted.

string

Submitter display name.

uri

Submitter avatar URL.

boolean
required

When true, content is approved immediately.

int64

Existing connected user id. Takes precedence over email when both are provided.

product_skus
array of strings

Product SKUs to tag on the content.

product_skus
category_names
array of strings

Category/tag album names to copy the content into (case sensitive).

category_names
connected_user
object

Optional extra connected-user metadata.

Responses

404

Album not found (empty body).

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json